﻿/*
* ============================================================================
*  Name        : ErrorValue.as
*  Part of     : Nokia Flash Lite
*  Description : Defines the error values
*                
*  Version     :
*
*  Copyright © 2007-2008 Nokia. All rights reserved.
*  This material, including documentation and any related 
*  computer programs, is protected by copyright controlled by 
*  Nokia. All rights are reserved. Copying, including 
*  reproducing, storing, adapting or translating, any 
*  or all of this material requires the prior written consent of 
*  Nokia. This material also contains confidential 
*  information which may not be disclosed to others without the 
*  prior written consent of Nokia
* ============================================================================
*/
/*
  Class: com.nokia.lib.ErrorValue

  The class is used to store the error values.
*/
intrinsic class com.nokia.lib.ErrorValue {
	// No error.
	public static var EErrorNone:Number = 0;
	// Error value set when the requested service is not found.
	public static var EServiceNotFound:Number = -301;
	// Error value set when the requested interface is not found.
	public static var EInterfaceNotFound:Number = -302;
	// General error.
	public static var EGeneralError:Number = -304;
	// Error value set when undefined data type is passed as input.
	public static var EUndefinedDataType:Number = -305;
	// Error value set when undefined data type is passed as input.
	public static var EVersionError:Number = -306;
	// Error value set when invalid data type is passed as input.
	public static var EInvalidInputError:Number = -307;
}
